Subject: Re: [PATCH ethtool-next] netlink: tsconfig: add HW time stamping configuration

From: Jakub Kicinski <[email-masked]>
Date: Mon, 6 Oct 2025 10:55:03 -0700

On Mon, 6 Oct 2025 14:45:12 +0200 Kory Maincent wrote:
> > The kernel supports configuring HW time stamping modes via netlink
> > messages, but previous implementation added support for HW time stamping
> > source configuration. Add support to configure TX/RX time stamping.  
> 
> For the information, I didn't add this support because it kind of conflict with
> ptp4l which is already configuring this. So if you set it with ethtool, running
> ptp4l will change it. I am not really a PTP user so maybe I missed cases where
> we need these hwtstamp config change without using ptp4l.

FWIW I sometimes enable Rx timestamping (from whatever chrony uses
to ALL) to measure burstiness of incoming traffic when debugging
application packet loss. Would be quite useful to have the ability
to configure this in ethtool.